Debian Bug report logs - #502305
ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Pierre Chifflier <pollux@debian.org>

Date: Wed, 15 Oct 2008 12:45:02 UTC

Owned by: Pierre Chifflier <pollux@debian.org>

Severity: wishlist

Fixed in version ulogd2/2.0.2-1

Done: Chris Boot <bootc@bootc.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#502305; Package wnpp. (Wed, 15 Oct 2008 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Wed, 15 Oct 2008 12:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2
Date: Wed, 15 Oct 2008 14:43:15 +0200
Package: wnpp
Severity: wishlist
Owner: Pierre Chifflier <pollux@debian.org>

* Package name    : ulogd2
  Version         : 2.0.0beta2
  Upstream Author : Harald Welte and netfilter team
* URL             : http://www.netfilter.org/projects/ulogd/
* License         : GPLv2
  Programming Lang: C
  Description     : The Netfilter Userspace Logging Daemon, version 2

 ulogd is a daemon that listens for Netlink packets generated by iptables's
 ULOG and NFLOG target, using ibnetfilter_log and libnetfilter_conntrack.
 Basically, it's a replacement for syslog for logging packets,
 and does a much better job - it logs to files, pcap files, MySQL, PostgreSQL,
 SQLite 3 and soon will be able to log remotely.
 .
 MySQL, PostgreSQL and SQLite 3 support is in separate packages, called
 ulogd-mysql, ulogd-pgsql and ulogd-sqlite3 respectively. pcap file support
 is in package called ulogd-pcap.

Ulogd is already packaged in Debian, but I think ulogd2 should be proposed as
a separate package, because:
- they are completely different projects, supporting different targets (NFLOG)
  or features (connection tracking)
- ulogd is still the stable daemon, for some time I think
- some applications are based on version 1, and a transition to v2 require
  many changes
- both can be installed at the same time
- packages for ulogd2 will be completely different, for ex. using dbconfig

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)




Reply sent to Faidon Liambotis <paravoid@debian.org>:
You have taken responsibility. (Wed, 15 Oct 2008 13:33:02 GMT) Full text and rfc822 format available.

Notification sent to Pierre Chifflier <pollux@debian.org>:
Bug acknowledged by developer. (Wed, 15 Oct 2008 13:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 502305-done@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Pierre Chifflier <pollux@debian.org>
Cc: 502305-done@bugs.debian.org, debian-devel@lists.debian.org, Achilleas Kotsis <achille@kotsis.net>
Subject: Re: Bug#502305: ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2
Date: Wed, 15 Oct 2008 16:31:26 +0300
Pierre Chifflier wrote:
> Ulogd is already packaged in Debian, but I think ulogd2 should be proposed as
> a separate package, because:
> - they are completely different projects, supporting different targets (NFLOG)
>   or features (connection tracking)
> - ulogd is still the stable daemon, for some time I think
> - some applications are based on version 1, and a transition to v2 require
>   many changes
> - both can be installed at the same time
> - packages for ulogd2 will be completely different, for ex. using dbconfig
I'm sorry, I disagree. I think that ulogd should be updated to v2
post-lenny, since v1 is unsupported, hasn't released for some time and
has some serious limitations and bugs (e.g. doesn't work on 32-bit
userland/64-bit kernel systems, including sparc64 which is the only way
sparc systems will be supported in Debian in the future).

Even if we go the separate package name way for some time, this should
be a decision that the existing ulogd maintainers (which includes
myself)  should make and not someone else.
You are, of course, welcome to help and/or comaintain.

I've known about ulogd2 for some time but haven't worked on it because
of its instabilities that make it unsuitable for release. An upload to
experimental might make sense but I haven't worked on this (and neither
Achilleas, AFAIK) because of my lack of time.

If you intend to work on this, please try to coordinate with us.

Thanks,
Faidon




Message #11 received at 502305-done@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <p.chifflier@inl.fr>
To: Faidon Liambotis <paravoid@debian.org>
Cc: 502305-done@bugs.debian.org, debian-devel@lists.debian.org, Achilleas Kotsis <achille@kotsis.net>
Subject: Re: Bug#502305: ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2
Date: Wed, 15 Oct 2008 15:52:43 +0200
On Wed, Oct 15, 2008 at 04:31:26PM +0300, Faidon Liambotis wrote:
> Pierre Chifflier wrote:
> > Ulogd is already packaged in Debian, but I think ulogd2 should be proposed as
> > a separate package, because:
> > - they are completely different projects, supporting different targets (NFLOG)
> >   or features (connection tracking)
> > - ulogd is still the stable daemon, for some time I think
> > - some applications are based on version 1, and a transition to v2 require
> >   many changes
> > - both can be installed at the same time
> > - packages for ulogd2 will be completely different, for ex. using dbconfig
> I'm sorry, I disagree. I think that ulogd should be updated to v2
> post-lenny, since v1 is unsupported, hasn't released for some time and
> has some serious limitations and bugs (e.g. doesn't work on 32-bit
> userland/64-bit kernel systems, including sparc64 which is the only way
> sparc systems will be supported in Debian in the future).

Yes, v2 resolves these problems .. However, given the differences
between v1 and v2 (have you looked at the config ?) are so important
that upgrading cleanly is almost impossible, and is not planned anyway
(I'm part of ulogd2 upstream, BTW).

> 
> Even if we go the separate package name way for some time, this should
> be a decision that the existing ulogd maintainers (which includes
> myself)  should make and not someone else.
> You are, of course, welcome to help and/or comaintain.
> 

I was under the impression that ulogd wasn't maintained, so I thought a
complete rewrite would be best - I should have asked before.
Since I would like to work on the packaging, would it be ok for a
co-maintainance ? (I'll send patches for review before uploading, if you
prefer).

> I've known about ulogd2 for some time but haven't worked on it because
> of its instabilities that make it unsuitable for release. An upload to
> experimental might make sense but I haven't worked on this (and neither
> Achilleas, AFAIK) because of my lack of time.

Yes.

> 
> If you intend to work on this, please try to coordinate with us.
> 

I'd like to work on this. Is it ok for you ?

(maybe we should discuss this directly, and trim the CC line)

Pierre




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Nov 2008 07:27:33 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Jurij Smakov <jurij@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 21:48:06 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Apr 2010 21:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Sat, 17 Apr 2010 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Sat, 17 Apr 2010 21:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 502305@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 502305@bugs.debian.org
Cc: 502305-submitter@bugs.debian.org, paravoid@debian.org
Subject: ulogd2 still not in Debian
Date: Sat, 17 Apr 2010 22:53:47 +0100
Hello,

Over 18 months passed since the last update to this ITP, but ulogd2 is 
still not in Debian. Recently we figured out that ulogd is completely 
broken on sparc, and, more generally, whenever storage size of 
long/size_t are different in kernel and in userspace (see [0] and bugs 
merged with it). I've filed an upstream bug against ulogd, but it does 
not look like it's going to be fixed. I would like to see a working 
ulog solution on sparc and other arches in the next release, so it 
looks like the only option we have is to get ulogd2 into the archive 
ASAP. If you are no longer interested in working on it, I might find 
interested developers and/or work on it myself, otherwise I would be 
glad to review and test existing package, and sponsor an upload if 
necessary.

[0] http://bugs.debian.org/265985
[1] https://bugzilla.kernel.org/show_bug.cgi?id=15765

Best regards.
--
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Message sent on to Pierre Chifflier <pollux@debian.org>:
Bug#502305. (Sat, 17 Apr 2010 21:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Mon, 19 Apr 2010 14:36:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <chifflier@edenwall.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Mon, 19 Apr 2010 14:36:29 GMT) Full text and rfc822 format available.

Message #30 received at 502305@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <chifflier@edenwall.com>
To: Jurij Smakov <jurij@wooyd.org>, 502305-quiet@bugs.debian.org
Cc: 502305@bugs.debian.org, 502305-submitter@bugs.debian.org, paravoid@debian.org
Subject: Re: Bug#502305: ulogd2 still not in Debian
Date: Mon, 19 Apr 2010 16:27:07 +0200
On Sat, Apr 17, 2010 at 10:53:47PM +0100, Jurij Smakov wrote:
> Hello,
> 
> Over 18 months passed since the last update to this ITP, but ulogd2 is 
> still not in Debian. Recently we figured out that ulogd is completely 
> broken on sparc, and, more generally, whenever storage size of 
> long/size_t are different in kernel and in userspace (see [0] and bugs 
> merged with it). I've filed an upstream bug against ulogd, but it does 
> not look like it's going to be fixed. I would like to see a working 
> ulog solution on sparc and other arches in the next release, so it 
> looks like the only option we have is to get ulogd2 into the archive 
> ASAP. If you are no longer interested in working on it, I might find 
> interested developers and/or work on it myself, otherwise I would be 
> glad to review and test existing package, and sponsor an upload if 
> necessary.
> 
> [0] http://bugs.debian.org/265985
> [1] https://bugzilla.kernel.org/show_bug.cgi?id=15765
> 

Hi Jurij,

I am still working on ulogd2 though I must admit I did not have much
time.
The current state is that the packages are basically working and ulogd2
seems functional (rather stable here).
However, there are still some problems:
- there is no upgrade path (and there will probably never be upstream)
  from ulogd1.
- I'd like to propose dbconfig as an option, to be able to create the
  database etc. automatically
- Current packaging was copied from another package, and is using cdbs
  (which I do not like personally), but this is a minor point unless it
  prevents from maintaining it correctly
- Things upstream are not finished, there are still some pending patches

That said, I could have uploaded something to experimental.

Temporary (old) packages can be found here:
http://www.wzdftpd.net/downloads/ulogd2-deb/
(Version numbering is not correct)

I am just about leaving Paris for vacation, so I won't be able to work
on it this week. I'll try to update the packages after.

Cheers,
Pierre






Information stored :
Bug#502305; Package wnpp. (Mon, 19 Apr 2010 14:36:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <chifflier@edenwall.com>:
Extra info received and filed, but not forwarded. (Mon, 19 Apr 2010 14:36:40 GMT) Full text and rfc822 format available.

Message sent on to Pierre Chifflier <pollux@debian.org>:
Bug#502305. (Mon, 19 Apr 2010 14:36:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Tue, 24 Aug 2010 15:36:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@ftbfs.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Tue, 24 Aug 2010 15:36:25 GMT) Full text and rfc822 format available.

Message #43 received at 502305@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@ftbfs.de>
To: 502305@bugs.debian.org
Subject: Any update on this?
Date: Tue, 24 Aug 2010 17:12:02 +0200
Hi,

are there plans when to upload ulogd2 to Debian?

Cheers,
Martin

-- 
 Martin Zobel-Helas <zobel@debian.org>  | Debian System Administrator
 Debian & GNU/Linux Developer           |           Debian Listmaster
 Public key http://zobel.ftbfs.de/5d64f870.asc   -   KeyID: 5D64 F870
 GPG Fingerprint:  5DB3 1301 375A A50F 07E7  302F 493E FB8E 5D64 F870





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Wed, 25 Aug 2010 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <chifflier@edenwall.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Wed, 25 Aug 2010 12:45:03 GMT) Full text and rfc822 format available.

Message #48 received at 502305@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <chifflier@edenwall.com>
To: Martin Zobel-Helas <zobel@ftbfs.de>, 502305@bugs.debian.org
Subject: Re: Bug#502305: Any update on this?
Date: Wed, 25 Aug 2010 14:41:46 +0200
On Tue, Aug 24, 2010 at 05:12:02PM +0200, Martin Zobel-Helas wrote:
> Hi,
> 
> are there plans when to upload ulogd2 to Debian?
> 

Hi,

I plan to upload ulogd2 in experimental as soon as possible. The current
problems are:
- libnetfilter-log >= 1.0.0 is required (See #589157)
- there is no upgrade plan from ulogd 1.x

I have recently updated the code to 2.0.0 beta4, without any problems,
so when (at least) the deps problem is resolved it should be fine.

Cheers,
Pierre




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#502305; Package wnpp. (Wed, 25 Aug 2010 14:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Aug 2010 14:36:14 GMT) Full text and rfc822 format available.

Message #53 received at 502305@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: 589157@bugs.debian.org
Cc: Martin Zobel-Helas <zobel@ftbfs.de>, 502305@bugs.debian.org
Subject: wishlist: new upstream release
Date: Wed, 25 Aug 2010 16:34:54 +0200
Hi,

libnetfilter_log >= 1.0.0 is required by ulogd2 (See #502305) and 1.0.0
is available since July.
Is an upload ready ?

I have built the package just by updating the sources and updating the
changelog file. The package is available here:
http://www.wzdftpd.net/downloads/libnetfilter-log/

If you want, I can either NMU the package or maybe join the
co-maintainers list for libnetfilter-* ?

PS: same applies to libnetfilter-queue

Cheers,
Pierre





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Thu, 16 Dec 2010 14:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Thu, 16 Dec 2010 14:15:02 GMT) Full text and rfc822 format available.

Message #58 received at 502305@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: Pierre Chifflier <pollux@debian.org>
Cc: 589157@bugs.debian.org, netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>, Max Kellermann <max@duempel.org>, Debian Development List <debian-devel@lists.debian.org>, 502305@bugs.debian.org
Subject: Re: ping ?
Date: Thu, 16 Dec 2010 15:11:37 +0100
Pierre Chifflier schrieb am Thursday, den 16. December 2010:

> Hi,
> 
> It's now more than 6 months since this bug was reported, and it is still
> a blocker for ulogd2 (see #502305). Version 1.0.0 also fixes several
> important bugs.
> 
> The packages are ready since some time and have been proposed in august,
> with no reply (see
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=589157#10
> ).
> 
> I'm therefore resending this email to discuss a proper (maintainer)
> upload and am still proposing my help again for libnetfilter-{queue,log}
> packages.
Ah fuck I prepared the upload and just forgot about it. One of my
co-maintainers left me and I just forgot it. sorry

Alex
-- 
Alexander Wirt, formorer@formorer.de 
CC99 2DDD D39E 75B0 B0AA  B25C D35B BC99 BC7D 020A




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#502305; Package wnpp. (Thu, 16 Dec 2010 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Dec 2010 14:33:02 GMT) Full text and rfc822 format available.

Message #63 received at 502305@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: 589157@bugs.debian.org
Cc: netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>, Alexander Wirt <formorer@debian.org>, Max Kellermann <max@duempel.org>, Debian Development List <debian-devel@lists.debian.org>, 502305@bugs.debian.org
Subject: ping ?
Date: Thu, 16 Dec 2010 14:50:30 +0100
Hi,

It's now more than 6 months since this bug was reported, and it is still
a blocker for ulogd2 (see #502305). Version 1.0.0 also fixes several
important bugs.

The packages are ready since some time and have been proposed in august,
with no reply (see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=589157#10
).

I'm therefore resending this email to discuss a proper (maintainer)
upload and am still proposing my help again for libnetfilter-{queue,log}
packages.

Cheers,
Pierre




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#502305; Package wnpp. (Mon, 27 Dec 2010 11:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 Dec 2010 11:21:06 GMT) Full text and rfc822 format available.

Message #68 received at 502305@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: Faidon Liambotis <paravoid@debian.org>
Cc: Achilleas Kotsis <achille@kotsis.net>, 502305@bugs.debian.org
Subject: Temporary packages for ulogd2
Date: Mon, 27 Dec 2010 12:18:14 +0100
Hi (and merry Christmas),

Now that libnetfilter-log has been uploaded to sid, I can now work again
on the packages for ulogd2.

I've uploaded my current packages for ulogd2 at this location:
https://www.wzdftpd.net/downloads/ulogd2-deb/

I've rewritten the packaging from scratch, it was easier, (the packaging
stuff is almost empty). I've not taken the previous changelog / authors
/ uploaders etc., but it's part of the things I want to do.

The plan would be to upload to experimental, but before doing that, can
you check the packages and tell me if you agree with the current ones or
have any comment ?

Regards,
Pierre




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Fri, 07 Jan 2011 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Barber <jim.barber@ddihealth.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Fri, 07 Jan 2011 06:15:03 GMT) Full text and rfc822 format available.

Message #73 received at 502305@bugs.debian.org (full text, mbox):

From: Jim Barber <jim.barber@ddihealth.com>
To: 502305@bugs.debian.org
Subject: Temporary packages for ulogd2 : Build dependency wrong
Date: Fri, 07 Jan 2011 13:56:59 +0800
Hi.

I just tried to build your packages on a Debian unstable (sid) server 
for the i386 architecture.

I used the following technique...

- Downloaded the following files from:
  https://www.wzdftpd.net/downloads/ulogd2-deb/

        ulogd_2.0.0~beta4-1.debian.tar.gz
        ulogd_2.0.0~beta4-1.dsc
        ulogd_2.0.0~beta4.orig.tar.bz2

- Unpacked the sources and moved into the unpacked directory:

        dpkg-source -x ulogd_2.0.0~beta4-1.dsc
        cd ulogd-2.0.0~beta4

- Made sure I had the build dependencies installed:

        dpkg-checkbuilddeps

  It revealed I had to install the following packages:

        autotools-dev
        libdbi0-dev
        libmysqlclient15-dev | libmysqlclient-dev
        libnetfilter-conntrack-dev
        libnetfilter-log-dev
        libpcap-dev
        libpq-dev
        libsqlite-dev

  I satisfied the libsqlite-dev dependency by installing libsqlite0-dev.

  The libmysqlclient15-dev package does not exist in sid.
  But libmysqlclient16-dev does instead.
  I installed the libmysqlclient-dev package which pulls it in anyway.

- Built it using the following:

        dpkg-buildpackage -b -tc -uc -us

The build failed because it needed the libsqlite3-dev package installed.
Note that the libsqlite3-dev package does not supply the libsqlite-dev 
dependency as mentioned in the Build-Depends.
Further I noticed the package doesn't need libsqlite0-dev at all.

So I redid the steps above, but in the debian/control control file I 
changed the libsqlite-dev build dependency to libsqlite3-dev.
I then uninstalled libsqlite0-dev from my system to prove it wasn't needed.

Now the build worked successfully.

So in summary, the changes to the Build-Depends line in the 
debian/control file to correct the build are:

- Change sqlite-dev to sqlite3-dev

- Remove libmysqlclient15-dev OR change it to libmysqlclient16-dev

Regards,

-- 
----------
Jim Barber
DDI Health




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Fri, 07 Jan 2011 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Barber <jim.barber@ddihealth.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Fri, 07 Jan 2011 07:24:03 GMT) Full text and rfc822 format available.

Message #78 received at 502305@bugs.debian.org (full text, mbox):

From: Jim Barber <jim.barber@ddihealth.com>
To: 502305@bugs.debian.org
Subject: Temporary packages for ulogd2 : Configuration changes
Date: Fri, 07 Jan 2011 15:21:31 +0800
[Message part 1 (text/plain, inline)]
Hi.

Further to my previous email, I've now installed the newly built package 
and here are some observations.

There is a lack of documentation in the built package.
If the build also formatted the doc/ulogd.sgml file in the source area 
into txt and html files to be installed under the /usr/share/doc/ulogd/ 
directory, then there will be a lot more useful information on how to 
configure the new ulogd daemon.

I made the following changes to the /etc/ulogd.conf file.
Take and leave each of them as you like.
I've attached the patch that makes all of these changes to the final 
installed configuration file.

- I've made changes to produce logs in the /var/log/ulogd/ directory 
like the old ulogd v1.23 did.
This way users upgrading from the old ulogd to the new ulogd will still 
find the files in the same location as before.
Likewise I adjusted log file names to match what they were before 
(removed leading ulogd_)
If the package doesn't create the /var/log/ulogd/ directory as part of 
its install, then it would need to be modified to do this as well.

- I changed the log level to notice. I guess you can ignore this, but 
I've left it in the patch.

- I've enabled the ULOG support. This way, people upgrading from the old 
ulogd daemon to the new one will still have their logging working. This 
will give them a chance to transition over from ULOG to NFLOG at their 
convenience.

- There was no XML output plugin built with the package.
So I've commented that plugin out to remove the error message about it 
not being found.
I guess the other approach is to get the package to build that plugin if 
possible.

- I added commented out plugin entries for the SQLITE3 output plugin, 
and the PWSNIFF filter plugin (which maybe you don't want to include).

- Added a [sqlite3] section for the SQLITE3 plugin to match the example 
for SQLLITE3 on the old version of ulogd.

Regards,

-- 
----------
Jim Barber
DDI Health
[ulogd.conf.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Wed, 27 Jul 2011 16:28:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Wed, 27 Jul 2011 16:28:29 GMT) Full text and rfc822 format available.

Message #83 received at 502305@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 502305@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ulogd2: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 502305 RFP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2
noowner 502305
thanks

Hi,

This is an automatic email to change the status of ulogd2 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting ulogd2, please send a mail to
<control@bugs.debian.org> with:

 retitle 502305 ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2
 owner 502305 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <502305@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2' from 'ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:50:19 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Pierre Chifflier <pollux@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:50:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2' from 'RFP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2' Request was from Pierre Chifflier <pollux@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:58:16 GMT) Full text and rfc822 format available.

Owner recorded as Pierre Chifflier <pollux@debian.org>. Request was from Pierre Chifflier <pollux@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:58:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Thu, 03 Nov 2011 16:00:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nils Olav Fossum <nils@norbakkinn.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Thu, 03 Nov 2011 16:00:19 GMT) Full text and rfc822 format available.

Message #96 received at 502305@bugs.debian.org (full text, mbox):

From: Nils Olav Fossum <nils@norbakkinn.net>
To: 502305@bugs.debian.org
Subject: ulogd2: Status of package?
Date: Thu, 3 Nov 2011 16:36:31 +0100
Hi,

I just wonder if there is any news on getting the ulogd2 package into debian.

Could it be uploaded to experimental as a first?
That way it should get some testing..

I need ulog2 on a handful of machines now, so I started with the files at
https://www.wzdftpd.net/downloads/ulogd2-deb/

I used instructions from Jim Barber  
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502305#73 
(thanks, that saved me a lot of research time!) 
to build the package on a amd64 wheezy machine.

The build failed at the end creating ulogd-output-pcap_2.0.0~beta4-1_amd64.deb
It could not find usr/lib/ulogd/ulogd_output_PCAP.so*

I applied some of the patches from upstream, but that did not help.

In the end I cheated, and just commented out the line 
usr/lib/ulogd/ulogd_output_PCAP.so*
in debian/ulogd-output-pcap.install.
Not a real fix of course..

mvh
Nils Olav Fossum






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#502305; Package wnpp. (Tue, 08 Nov 2011 19:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 08 Nov 2011 19:51:10 GMT) Full text and rfc822 format available.

Message #101 received at 502305@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: Nils Olav Fossum <nils@norbakkinn.net>, 502305@bugs.debian.org
Subject: Re: Bug#502305: ulogd2: Status of package?
Date: Tue, 8 Nov 2011 20:48:56 +0100
On Thu, Nov 03, 2011 at 04:36:31PM +0100, Nils Olav Fossum wrote:
> Hi,
> 
> I just wonder if there is any news on getting the ulogd2 package into debian.

Hi,

Thanks for raising this bug report .. I had tons of stuff to do, and
left the ulogd packages for too long.
I have started again some work here.

> 
> Could it be uploaded to experimental as a first?
> That way it should get some testing..

Indeed.
The libnetfilter-log problem is now resolved (version in unstable is
ok). The main problem remains the upgrade path (if any) from ulogd.

> 
> I need ulog2 on a handful of machines now, so I started with the files at
> https://www.wzdftpd.net/downloads/ulogd2-deb/
> 
> I used instructions from Jim Barber  
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502305#73 
> (thanks, that saved me a lot of research time!) 
> to build the package on a amd64 wheezy machine.
> 
> The build failed at the end creating ulogd-output-pcap_2.0.0~beta4-1_amd64.deb
> It could not find usr/lib/ulogd/ulogd_output_PCAP.so*

This is caused by the multiarch changes in libpcap-dev.

> 
> I applied some of the patches from upstream, but that did not help.
> 
> In the end I cheated, and just commented out the line 
> usr/lib/ulogd/ulogd_output_PCAP.so*
> in debian/ulogd-output-pcap.install.
> Not a real fix of course..

I have solved this issue here. Part of the fix is to use:

override_dh_auto_configure:
	,,,,,,,dh_auto_configure -- --with-pcap-lib=/usr/lib/$(DEB_HOST_MULTIARCH)

in debian/rules.

Regards,
Pierre




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Wed, 16 May 2012 06:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Barber <jim.barber@ddihealth.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Wed, 16 May 2012 06:27:03 GMT) Full text and rfc822 format available.

Message #106 received at 502305@bugs.debian.org (full text, mbox):

From: Jim Barber <jim.barber@ddihealth.com>
To: 502305@bugs.debian.org, pollux@debian.org
Subject: Re: Bug#502305: ulogd2: Status of package?
Date: Wed, 16 May 2012 14:10:48 +0800
Hi Pierre.

In your last email from Nov last year, you mention a partial fix for the Multiarch problems.

The package files at https://www.wzdftpd.net/downloads/ulogd2-deb/ haven't been updated since 27th Dec 2010.
It sounds like you've made a few changes since then.
Would you be able to put your more up to date files somewhere so that we can build them please?

Based on the old files, to fix the build dependencies for sid as it stands today I need to apply the following patch:

--- ulogd-2.0.0~beta4/debian/control.orig       2010-12-27 18:21:25.000000000 +0800
+++ ulogd-2.0.0~beta4/debian/control    2012-05-16 12:58:33.977786179 +0800
@@ -7,11 +7,11 @@
     libnfnetlink-dev (>= 0.0.13),
     libnetfilter-conntrack-dev (>= 0.0.28),
     libnetfilter-log-dev (>= 1.0),
-    libmysqlclient15-dev | libmysqlclient-dev,
+    libmysqlclient-dev,
     libpq-dev,
-    libpcap-dev,
-    libsqlite-dev,
-    libdbi0-dev
+    libpcap-dev | libpcap0.8-dev,
+    libsqlite3-dev,
+    libdbi-dev
 Standards-Version: 3.9.1
 Homepage: http://www.netfilter.org/projects/ulogd/
 #Vcs-Git: git://git.debian.org/collab-maint/ulogd.git


However as Nils Olav Fossum reports, the build will still fail because it can't find libraries that are now in the multiarch area.

I think mysql libraries are now also in the multiarch area along with the pcap libraries that Nils Olav Fossum identified.

So I guess somehow the LDFLAGS should have a -L/usr/lib/$(DEB_HOST_MULTIARCH) parameter added to expand the library search path.
I wasn't really sure how to do that though...
I have some theories but not enough time to try.
I figured it would be better just to email and see if we can get access to your latest package files and then work from there.

Regards,

-- 
----------
Jim Barber
DDI Health




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Tue, 04 Sep 2012 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Keller <tom@isochrono.us>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Tue, 04 Sep 2012 15:03:03 GMT) Full text and rfc822 format available.

Message #111 received at 502305@bugs.debian.org (full text, mbox):

From: Tom Keller <tom@isochrono.us>
To: 502305@bugs.debian.org, pollux@debian.org
Subject: Bug#502305: ulogd2: Status of package?
Date: Tue, 4 Sep 2012 10:59:42 -0400
Hello,

I'm writing to inquire about the status of this bug. We haven't heard
an update from Pierre since November of 2011, and ulogd2 is still not
in Debian. With ulogd-1.x entering the end-of-life phase, there is now
no supported userspace netfilter logging daemon in Debian.

Was this ITP still being worked on at all? May I start work on a
package if there isn't going to be any forward movement on this bug?

Regards,

Tom Keller



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Tue, 22 Jan 2013 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willem van den Akker <wvdakker@wilsoft.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Tue, 22 Jan 2013 16:09:03 GMT) Full text and rfc822 format available.

Message #116 received at 502305@bugs.debian.org (full text, mbox):

From: Willem van den Akker <wvdakker@wilsoft.nl>
To: 502305@bugs.debian.org
Cc: pollux@debian.org, achille@kotsis.net
Subject: ITP: ulogd2 -- The Netfilter Userspace Logging Daemon, version 2
Date: Tue, 22 Jan 2013 16:51:47 +0100
[Message part 1 (text/plain, inline)]
Hi,

Is there any progress on this?

If you dont have time, perhaps I can help to get it in.

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Mon, 28 Jan 2013 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maykel Moya <mmoya@mmoya.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Mon, 28 Jan 2013 23:51:05 GMT) Full text and rfc822 format available.

Message #121 received at 502305@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: 395302@bugs.debian.org
Cc: 502305@bugs.debian.org, formorer@debian.org
Subject: I've made a package available for testing
Date: Tue, 29 Jan 2013 00:46:37 +0100
Hello

I've upload an initial package to mentors[1]. Packaging repo is
available in github[2].

Version 2.0.1 depends on recent libnfnetlink and libnetfilter-conntrack.
They both are available as well [3][4].

The libnetfilter-conntrack packaging repo is also available in
github[5].

libnfnetlink git repo will be available (hopefully) soon.

This is more a request for reviewing/testing than a RFS. I'm still
working on then.

Thanks,
maykel

[1] https://mentors.debian.net/package/ulogd
[2] https://github.com/mmoya/pkg-ulogd
[3] https://mentors.debian.net/package/libnfnetlink
[4] https://mentors.debian.net/package/libnetfilter-conntrack
[5] https://github.com/formorer/pkg-libnetfilter-conntrack



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Mon, 04 Feb 2013 21:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maykel Moya <mmoya@mmoya.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Mon, 04 Feb 2013 21:24:05 GMT) Full text and rfc822 format available.

Message #126 received at 502305@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: 699767@bugs.debian.org
Cc: 502305@bugs.debian.org, 395302@bugs.debian.org
Subject: There are an ITP already filed
Date: Mon, 04 Feb 2013 22:22:14 +0100
Hello

[FTR]

As you probably know there is an ITP[1] already filed but work there is
stalled too.

I've started to work in the package and I'm using bug 395302[2] for
tracking the work.

Regards,
maykel

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502305
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=395302



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Tue, 05 Feb 2013 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maykel Moya <mmoya@mmoya.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Tue, 05 Feb 2013 10:27:05 GMT) Full text and rfc822 format available.

Message #131 received at 502305@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 699767@bugs.debian.org, 395302@bugs.debian.org, 502305@bugs.debian.org
Subject: Re: Bug#699767: ITA: ulogd -- The Netfilter Userspace Logging Daemon
Date: Tue, 05 Feb 2013 11:25:50 +0100
El 05/02/13 07:23, Laszlo Boszormenyi (GCS) escribió:

> On Tue, 2013-02-05 at 04:22 +0100, Maykel Moya wrote:
>> El 05/02/13 03:22, Laszlo Boszormenyi (GCS) escribió:
>>>  I see. Your work have good parts, but contains trivial mistakes as
>>> well. In short, what's your plans? Do you want to do it yourself or let
>>> me to do it? In the latter, do you allow me to use parts of your works?
>> My plans are basically learn packaging by doing and trying to improve
>> the current ulogd situation in Debian. A challenge for a newcomer.
>  As you write, it'll be a big challenge for you. Easier and smaller
> packages would suit you better IMHO.
> 
>> I have no problem with you to use part of my works but with respect to
>> the you-or-me thing, do you have any inconvenience with working together
>> on this?
>  Of course, I'll credit whatever I'll use from your work. We can work
> together, no problem. Still, I advise you to check and learn other,
> smaller packages as well.

Hi Laszlo

Go ahead then. I'm looking forward to see the fix to the library version
issue[1].

It'd be *nice* if you keep a public repo with the packaging work.

Regards,
maykel

[1] http://lists.debian.org/debian-mentors/2013/02/msg00025.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Thu, 25 Apr 2013 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Boot <bootc@bootc.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Thu, 25 Apr 2013 18:09:04 GMT) Full text and rfc822 format available.

Message #136 received at 502305@bugs.debian.org (full text, mbox):

From: Chris Boot <bootc@bootc.net>
To: 502305@bugs.debian.org
Subject: ulogd2 packaging effort
Date: Thu, 25 Apr 2013 18:41:40 +0100
[Message part 1 (text/plain, inline)]
Hi all,

I've been semi-packaging ulogd-2.x for some time for my own personal
use, and after some input from a colleague of mine have been persuaded
to tidy up my package and post it to mentors.debian.net.

I'm just getting started and setting up my account on the above, but in
the meantime my effort can be found at:

http://apt.bootc.net/debian/pool/main/u/ulogd2/ulogd2_2.0.2-3.dsc
https://github.com/bootc/ulogd2

I'd love to have some comments, positive or negative, about my package.
If you'd rather I teamed up with some of the existing efforts, then
please do say so too, as I'd be happy to help.

Cheers,
Chris

-- 
Chris Boot
bootc@bootc.net


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#502305; Package wnpp. (Fri, 26 Apr 2013 23:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Chifflier <pollux@debian.org>. (Fri, 26 Apr 2013 23:03:08 GMT) Full text and rfc822 format available.

Message #141 received at 502305@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 502305@bugs.debian.org
Cc: Chris Boot <bootc@bootc.net>
Subject: Re: Bug#502305: ulogd2 packaging effort
Date: Fri, 26 Apr 2013 23:58:56 +0100
[Message part 1 (text/plain, inline)]
On Thu, Apr 25, 2013 at 06:41:40PM +0100, Chris Boot wrote:
> I'd love to have some comments, positive or negative, about my package.
> If you'd rather I teamed up with some of the existing efforts, then
> please do say so too, as I'd be happy to help.

I looked at Chris's packaging and with only a couple of minor comments I
would be happy to upload it as it stands now.

I will wait a couple of days for objections and then proceed, since this
bug was open for years already and code talks.

Thanks,


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 30 Apr 2013 08:09:07 GMT) Full text and rfc822 format available.

Reply sent to Chris Boot <bootc@bootc.net>:
You have taken responsibility. (Thu, 16 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Notification sent to Pierre Chifflier <pollux@debian.org>:
Bug acknowledged by developer. (Thu, 16 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Message #148 received at 502305-close@bugs.debian.org (full text, mbox):

From: Chris Boot <bootc@bootc.net>
To: 502305-close@bugs.debian.org
Subject: Bug#502305: fixed in ulogd2 2.0.2-1
Date: Thu, 16 May 2013 11:00:07 +0000
Source: ulogd2
Source-Version: 2.0.2-1

We believe that the bug you reported is fixed in the latest version of
ulogd2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 502305@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Boot <bootc@bootc.net> (supplier of updated ulogd2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Apr 2013 09:12:48 +0100
Source: ulogd2
Binary: ulogd2 ulogd2-dbi ulogd2-mysql ulogd2-pcap ulogd2-pgsql ulogd2-sqlite3 ulogd2-dbg
Architecture: source amd64
Version: 2.0.2-1
Distribution: unstable
Urgency: low
Maintainer: Chris Boot <bootc@bootc.net>
Changed-By: Chris Boot <bootc@bootc.net>
Description: 
 ulogd2     - Netfilter Userspace Logging Daemon
 ulogd2-dbg - Netfilter Userspace Logging Daemon (debug symbols)
 ulogd2-dbi - DBI extension to ulogd
 ulogd2-mysql - MySQL extension to ulogd
 ulogd2-pcap - pcap extension to ulogd
 ulogd2-pgsql - PostgreSQL extension to ulogd
 ulogd2-sqlite3 - SQLite 3 extension to ulogd
Closes: 502305
Changes: 
 ulogd2 (2.0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #502305)
Checksums-Sha1: 
 0cbbd7d2519c729a3582cb0a0397c5f3ebb1aa76 2284 ulogd2_2.0.2-1.dsc
 787929ef021cf6bd541dada6da43289c50be832e 466664 ulogd2_2.0.2.orig.tar.bz2
 17420f4e1a7733dc29db0d8c9372d5040544c884 6917 ulogd2_2.0.2-1.debian.tar.gz
 5c8c9f2cc5a67e7fc1e883c673a1c87c62f7304d 124924 ulogd2_2.0.2-1_amd64.deb
 8e5a5cfe09811acc7dfa83ad6254ec9fb6fba707 7500 ulogd2-dbi_2.0.2-1_amd64.deb
 3403cc193d883a458050adbd337e495aed567152 7100 ulogd2-mysql_2.0.2-1_amd64.deb
 37d820cbbd51674168b415e3052474510e8ee04e 4182 ulogd2-pcap_2.0.2-1_amd64.deb
 98465316a26c25bd2b01dec59ae1dd690027112b 8146 ulogd2-pgsql_2.0.2-1_amd64.deb
 c354d607b23b1f5b35c4c93d49d6f60617522740 7898 ulogd2-sqlite3_2.0.2-1_amd64.deb
 089951fb6a9f5d55678f4c510f7f6416d1a530c1 281830 ulogd2-dbg_2.0.2-1_amd64.deb
Checksums-Sha256: 
 c12e2031e96ba79abe12dcef0d47b0d7ffbae938ddd47f76b82be21fd061bc92 2284 ulogd2_2.0.2-1.dsc
 a36c4032d83edaef1b13f96b6647e9e150d7f20b5af7035f0a91c17fe2e066c5 466664 ulogd2_2.0.2.orig.tar.bz2
 d1c1aa8accef08bac05aab512d0ff7fe1761ccf8516b65a412b9d51762275f92 6917 ulogd2_2.0.2-1.debian.tar.gz
 c3e9e5bee95804c37cb0e366b6e49638a969883d298b5343463e7f44544a9e25 124924 ulogd2_2.0.2-1_amd64.deb
 aeb3261a5b8e712c10727a98d104b69d68030c4548e44a3fa4ba7147b0914bf0 7500 ulogd2-dbi_2.0.2-1_amd64.deb
 20b90a8b1a45fb15f7b6b36570e90a7573e9250a05f616b80a5b143d61e3b02d 7100 ulogd2-mysql_2.0.2-1_amd64.deb
 41c65bbc490d9b9eff8b6e8d451ae3abcff5eb7c695f00de849a6645e6c03460 4182 ulogd2-pcap_2.0.2-1_amd64.deb
 b4347c7d2e3ce4718711ffe8d5cd91fad21adf5ceb1ecc1c514c8bdbc71899cb 8146 ulogd2-pgsql_2.0.2-1_amd64.deb
 01314d366cd22dddfe24c45356541bf98623f98a12ef6858b13e664169b199e4 7898 ulogd2-sqlite3_2.0.2-1_amd64.deb
 90a793d6772d9fdaf580b1826362c4574087f3e6b72b4877184d24c62ca27ce6 281830 ulogd2-dbg_2.0.2-1_amd64.deb
Files: 
 7f615ea602e9c759270c6ec3d16ec118 2284 net optional ulogd2_2.0.2-1.dsc
 660516de4b5b1e110c12dae414619e0f 466664 net optional ulogd2_2.0.2.orig.tar.bz2
 dff0b4d0ead7dc866ae756ddd8669bc2 6917 net optional ulogd2_2.0.2-1.debian.tar.gz
 21a929cc042f6e83ea3c38e9d0b644fd 124924 net optional ulogd2_2.0.2-1_amd64.deb
 fd1a0999c3527b566fed9180ad8067ab 7500 net optional ulogd2-dbi_2.0.2-1_amd64.deb
 18b2b6175cd70e1b2a17125bd2adba7f 7100 net optional ulogd2-mysql_2.0.2-1_amd64.deb
 befde853ef0976502976b2bb219dfa62 4182 net optional ulogd2-pcap_2.0.2-1_amd64.deb
 da6299017bc4b4848aa0d2d341870981 8146 net optional ulogd2-pgsql_2.0.2-1_amd64.deb
 0151c19e39e9e3efafacd9611b2b1d2d 7898 net optional ulogd2-sqlite3_2.0.2-1_amd64.deb
 81839bf17613f6d9d818e77c3067c9d4 281830 debug extra ulogd2-dbg_2.0.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRft7SAAoJEFC7AtTIpr9h8jIP/jXjY9B8G67x+RpPOvtnPw5E
I3ON41jlPyIpiytqYiDl8tEwzMvQb51+tb3p54tggI01RRr6LrytrG9FT7f7Il2K
GhrwLkOFUSAuBOAs3bNVDPa6nvSkrZJ3xFFBLcWOoi5B0xEbobroOB6zJcbSdtf3
kOTsoxyoXJ5/Y+Xf0XQaCPoLZ6T6U2D673fw3loakfMQOFIDdQ+VTgbdHRKXZfiZ
GYvCC5bwNJ+3fcGZnutBbxvA6wPDCErrYd+ViZAESj1D3ZVJeOGwyvBCpm9b1Vd3
yQE3IZFVF8RiPct3D+w+JLm0Aer53r8sfDBAui8CrsbJ0Zx/cb+by9/CK/MijRdX
mkwz3EsdyS3a1fa2USYmGhNgAExyCLT3+Vi+q6wWwxLSM+2qtPWMDd6JtRr1jVdR
y2gP4irwe3s6VHjw8K7ejeX4u3LnVj8dsEIsBnqMUtqBEeMe8zdECI43z2wAeYnd
hWWmwvS7CX7z+3ReHV6g6X82KGtAoji8lrGkm7GeNh33A/3ShZJcc/Y8o9zDZw9s
cQTFdW8JevLd8X6BTFzzN+25ABwtZHjiB4a6DchKhMppoGMdDUN7nIbusJEmVBae
ljOUZFxIM91aDms/W1+TIyerKmJV3lR6L9IcR28pu+lFKlCS16J/iRcCL5OXJrd7
sjzum713Td+kbpUOFE4c
=E+Xk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 07:28:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:07:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.